\documentclass[../main.tex]{subfiles}

\begin{document}

\subsection{Off-Chain Computation}
Current blockchain technology reaches on-chain consensus in such a way that a smart contract \cite{smartcontract} runs on every blockchain node. There is no final authority in a decentralized network, such as Bitcoin \cite{nakamoto2008bitcoin}, so that every miner has to validate each transaction before accepting and recording it on the blockchain. In other words, there is no way to verify the result without actually running it on a trustless network. The most prominent problem is the amount of transaction fee for every transaction. As the network grows, the amount of computation in the network combined can easily exceed the gas limit\cite{gaslimit}, causing more forks and raising more security issues.

Off-chain Computation solves this problem by bringing the computation work off the public network, and by verifying the result in public, only when disputes arise. The key in off-chain computation is to have verifiable property in the out-sourced computation task. This property effectively solves the scalability issue\cite{scalability_issue} on blockchain networks. Therefore, we can achieve the throughput of the network being linear to the participating notes.

\subsection{Secure Computation}
One of the ostensible selling points of blockchain technology is its potential to bring greater transparency to financial markets. At its core, blockchain is a means for humans to conduct secure, verifiable, and recordable transactions online without a centralized party. As consensus is reached in public and the result is auditable, the blockchain is claimed to be transparent and public-accessible by design.

However, full transparency can be problematic in the real world. Imagine you opened an account at a bank and soon find out that its ledgers are public, where anyone can access the transaction history of your account (and others). Or, if you made a transaction using Bitcoin at an ice-cream truck and the cashier would be able to know how much money is in your account.

Unfortunately, a privacy feature is not shipped with today's blockchain technology. The growing demand for blockchain and smart contract \cite{sc1997idea,bartoletti2017empirical,ethereum2018} technologies sets the challenge to protect users from intellectual property theft and other attacks\cite{atzei2017survey}: security, confidentiality and privacy are the key issues holding back the adoption of blockchain\cite{banker2016privacy}.

ARPA is built to provide secure computation capability as an off-chain solution for most blockchain networks.

\subsection{Centralized Dataset}
Large internet companies collect data from users' online activities to train recommendation systems that predict the customers' future interest and actions. Health data from different hospitals and government organizations can be used to produce new diagnostic models, while financial companies and payment networks can combine transaction history, merchant data, and account holder information to train more accurate fraud-detection engines.

All this data needs to be aggregated from an individual level, but the profits realized from the data have never been shared with the data contributors. The General Data Protection Regulation (GDPR\cite{GDPR2018}) made it clear that data holders have the responsibility to facilitate the portability of the data. To really enforce this regulation, our data should not be stored at the company’s hard drive as it faces the inevitable risk of being breached. 

Unfortunately, companies have found it difficult to protect their critical data from determined attackers. The convention with data holding is ill-formed in the following ways:

\begin{enumerate}
\item Centralized data-at-risk
\item Unfair value distribution - individual users never get paid for their data
\item Established player dominance creates an unfriendly moat that deters new and innovative challengers from competing.
\item Talented individuals can't build a good model without joining the company
\end{enumerate}

We need a decentralized data sharing scheme that enable everyone to build models on it, reward those who contribute to it, and at the same time keep the data secure.

\subsection{Data Security in Exchange}
There is a tension that arises when individuals, companies, or governments deal with sensitive data. On the one hand, data science is a fundamental component of the informational age. We often hear that “data is the new oil”: there is immense financial and social value in acquiring raw data. A recent paper from Google \cite{sun2017revisit} (Figure \ref{fig:model_perf}) confirms a well-known fact that data size is positively correlated to model performance, regardless of model quality. It explains the motivation for companies to collecting extensive amount of user data.

On the other hand, the more value there is to be gained by piecing data together, the more cautious everyone has become about data sharing, since data breaches can cause financial, legal, and political harms. 
This appears to be a central trade-off: we can share data in order to learn new insights that benefit the society as a whole, or we can isolate data into protected silos that safeguard our individual privacy. 

Privacy-preserving computation is the solution for this paradox. 
\begin{figure} [ht]
\centering
\includegraphics[width=6cm]{graphics/model_performance.png}
\caption{Data size and model performance}
\label{fig:model_perf}
\end{figure}

\end{document}